org.apache.ignite.internal.portable

## Class PortablePrimitives

- java.lang.Object
- - org.apache.ignite.internal.portable.PortablePrimitives

    public abstract class PortablePrimitives
    extends Object

Primitives writer.

### Constructor Summary

Constructors
Constructor and Description
`PortablePrimitives()`

### Method Summary

Methods
`static PortablePrimitives` `get()`
`abstract boolean` `readBoolean(byte[] arr, int off)`
`abstract boolean[]` `readBooleanArray(byte[] arr, int off, int len)`
`abstract byte` `readByte(byte[] arr, int off)`
`abstract byte[]` `readByteArray(byte[] arr, int off, int len)`
`abstract char` `readChar(byte[] arr, int off)`
`abstract char[]` `readCharArray(byte[] arr, int off, int len)`
`abstract double` `readDouble(byte[] arr, int off)`
`abstract double[]` `readDoubleArray(byte[] arr, int off, int len)`
`abstract float` `readFloat(byte[] arr, int off)`
`abstract float[]` `readFloatArray(byte[] arr, int off, int len)`
`abstract int` `readInt(byte[] arr, int off)`
`abstract int[]` `readIntArray(byte[] arr, int off, int len)`
`abstract long` `readLong(byte[] arr, int off)`
`abstract long[]` `readLongArray(byte[] arr, int off, int len)`
`abstract short` `readShort(byte[] arr, int off)`
`abstract short[]` `readShortArray(byte[] arr, int off, int len)`
`abstract void` `writeBoolean(byte[] arr, int off, boolean val)`
`abstract void` `writeBooleanArray(byte[] arr, int off, boolean[] val)`
`abstract void` `writeByte(byte[] arr, int off, byte val)`
`abstract void` `writeByteArray(byte[] arr, int off, byte[] val)`
`abstract void` `writeChar(byte[] arr, int off, char val)`
`abstract void` `writeCharArray(byte[] arr, int off, char[] val)`
`abstract void` `writeDouble(byte[] arr, int off, double val)`
`abstract void` `writeDoubleArray(byte[] arr, int off, double[] val)`
`abstract void` `writeFloat(byte[] arr, int off, float val)`
`abstract void` `writeFloatArray(byte[] arr, int off, float[] val)`
`abstract void` `writeInt(byte[] arr, int off, int val)`
`abstract void` `writeIntArray(byte[] arr, int off, int[] val)`
`abstract void` `writeLong(byte[] arr, int off, long val)`
`abstract void` `writeLongArray(byte[] arr, int off, long[] val)`
`abstract void` `writeShort(byte[] arr, int off, short val)`
`abstract void` `writeShortArray(byte[] arr, int off, short[] val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PortablePrimitives

    public PortablePrimitives()

### Method Detail

#### get

    public static PortablePrimitives get()

Returns:
  Primitives writer.

#### writeByte

    public abstract void writeByte(byte[] arr,
                 int off,
                 byte val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readByte

    public abstract byte readByte(byte[] arr,
                int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeShort

    public abstract void writeShort(byte[] arr,
                  int off,
                  short val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readShort

    public abstract short readShort(byte[] arr,
                  int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeInt

    public abstract void writeInt(byte[] arr,
                int off,
                int val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readInt

    public abstract int readInt(byte[] arr,
              int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeLong

    public abstract void writeLong(byte[] arr,
                 int off,
                 long val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readLong

    public abstract long readLong(byte[] arr,
                int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeFloat

    public abstract void writeFloat(byte[] arr,
                  int off,
                  float val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readFloat

    public abstract float readFloat(byte[] arr,
                  int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeDouble

    public abstract void writeDouble(byte[] arr,
                   int off,
                   double val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readDouble

    public abstract double readDouble(byte[] arr,
                    int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeChar

    public abstract void writeChar(byte[] arr,
                 int off,
                 char val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readChar

    public abstract char readChar(byte[] arr,
                int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeBoolean

    public abstract void writeBoolean(byte[] arr,
                    int off,
                    boolean val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readBoolean

    public abstract boolean readBoolean(byte[] arr,
                      int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeByteArray

    public abstract void writeByteArray(byte[] arr,
                      int off,
                      byte[] val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readByteArray

    public abstract byte[] readByteArray(byte[] arr,
                       int off,
                       int len)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeShortArray

    public abstract void writeShortArray(byte[] arr,
                       int off,
                       short[] val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readShortArray

    public abstract short[] readShortArray(byte[] arr,
                         int off,
                         int len)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeIntArray

    public abstract void writeIntArray(byte[] arr,
                     int off,
                     int[] val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readIntArray

    public abstract int[] readIntArray(byte[] arr,
                     int off,
                     int len)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeLongArray

    public abstract void writeLongArray(byte[] arr,
                      int off,
                      long[] val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readLongArray

    public abstract long[] readLongArray(byte[] arr,
                       int off,
                       int len)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeFloatArray

    public abstract void writeFloatArray(byte[] arr,
                       int off,
                       float[] val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readFloatArray

    public abstract float[] readFloatArray(byte[] arr,
                         int off,
                         int len)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeDoubleArray

    public abstract void writeDoubleArray(byte[] arr,
                        int off,
                        double[] val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readDoubleArray

    public abstract double[] readDoubleArray(byte[] arr,
                           int off,
                           int len)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeCharArray

    public abstract void writeCharArray(byte[] arr,
                      int off,
                      char[] val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readCharArray

    public abstract char[] readCharArray(byte[] arr,
                       int off,
                       int len)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### writeBooleanArray

    public abstract void writeBooleanArray(byte[] arr,
                         int off,
                         boolean[] val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readBooleanArray

    public abstract boolean[] readBooleanArray(byte[] arr,
                             int off,
                             int len)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015